# Uses of Interface
org.gitana.platform.client.node.type.Group

Packages that use Group
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.node.type
org.gitana.platform.client.principal

## Uses of Group in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return Group
Modifier and Type
Method
Description
`Group`
Branch.`readGroup(String groupId, boolean createIfNotFound)`
Reads the group object for a security group.
`Group`
BranchImpl.`readGroup(String groupId, boolean createIfNotFound)`

## Uses of Group in org.gitana.platform.client.node.type

Classes in org.gitana.platform.client.node.type that implement Group
Modifier and Type
Class
Description
`class`
`GroupImpl`

## Uses of Group in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal that return Group
Modifier and Type
Method
Description
`Group`
DomainGroup.`readGroup(Branch branch)`
`Group`
DomainGroup.`readGroup(Branch branch, boolean createIfNotFound)`
`Group`
DomainGroupImpl.`readGroup(Branch branch)`
`Group`
DomainGroupImpl.`readGroup(Branch branch, boolean createIfNotFound)`